Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 596531 - mkinitrd ignores /etc/modprobe.d/modprobe.conf
mkinitrd ignores /etc/modprobe.d/modprobe.conf
Status: CLOSED DUPLICATE of bug 564392
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mkinitrd (Show other bugs)
5.5
All Linux
medium Severity medium
: rc
: ---
Assigned To: Peter Jones
Release Test Team
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 17:36 EDT by Jeff Bastian
Modified: 2010-11-09 07:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-26 17:50:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for mkinitrd to look at /etc/modprobe.d/* (1.51 KB, patch)
2010-05-26 17:36 EDT, Jeff Bastian
no flags Details | Diff

  None (edit)
Description Jeff Bastian 2010-05-26 17:36:58 EDT
Created attachment 417037 [details]
patch for mkinitrd to look at /etc/modprobe.d/*

Description of problem:
If modprobe.conf is moved to /etc/modprobe.d/ (since /etc/modprobe.conf is deprecated), mkinitrd ignores the file and generates a bad initrd image (i.e., it's missing modules).

Version-Release number of selected component (if applicable):
mkinitrd-5.1.19.6-61

How reproducible:
every time

Steps to Reproduce:
1. (if necessary) edit /etc/modprobe.conf and add a line to use the cciss module:
       alias scsi_hostadapter2 cciss
2. mv /etc/modprobe.conf /etc/modprobe.d/
3. mkinitrd -f --nocompress /tmp/initrd-testing.img `uname -r`
4. cpio -t < /tmp/initrd-testing.img | grep cciss
  
Actual results:
cciss module is not included in /tmp/initrd-testing.img

Expected results:
cciss module is included
   # cpio -t < /tmp/initrd-orig-etc_modprobe_conf.img | grep cciss
   17077 blocks
   lib/cciss.ko
Comment 1 Jeff Bastian 2010-05-26 17:50:37 EDT
Oops, I missed bug 564392 when searching earlier.

*** This bug has been marked as a duplicate of bug 564392 ***

Note You need to log in before you can comment on or make changes to this bug.